using System;
using System.Net;

internal sealed class Delegate617 : MulticastDelegate
{
	public extern HttpListenerResponse Invoke(object object_0);

	public static HttpListenerResponse smethod_0(object object_0, Delegate617 delegate617_1)
	{
		return delegate617_1(object_0);
	}

	public extern Delegate617(object object_0, IntPtr intptr_0);

	static Delegate617()
	{
		Class10.smethod_13(typeof(Delegate617).TypeHandle);
	}

	internal static Delegate617 delegate617_0;
}
